//   SPL
#define STM8S103
#include <stm8s.h>

static void delay(uint32_t t) // 
{
    while(t--) {}
}

void main(void)
{
    CLK->CKDIVR &= ~0x18;//    HSI  00 ( )

    GPIOB->DDR |= 0x20; //  PB.5  
    GPIOB->CR1 |= 0x20; //  PB.5  push-pull,  

    while(1)
    {
        GPIOB->ODR &= ~(1 << 5);    // 0   PB.5
        delay(100000UL);            //
        GPIOB->ODR |= (1 << 5);     // 1   PB.5
        delay(100000UL);            //
    }
}
